#!/bin/sh

STKNX_FLASH_TOOL=/opt/gira/bin/stknxflashtool
STKNX_FIRMWARE=/opt/gira/share/knxstack/stm/StKnxLinkLayer.bin
STKNX_FLASH_TOOL_LOGFILE=/var/log/stknxflashtool.log
STKNX_FLASH_TOOL_LOCKFILE=/opt/userdata/knxstack/stknxflashtool.lock

# Check if firmware file and programmer are present.
if [ -e ${STKNX_FLASH_TOOL} ] &&  [ -e ${STKNX_FIRMWARE} ]
then

  # Start the program process.
  ${STKNX_FLASH_TOOL} --binary ${STKNX_FIRMWARE} --logfile ${STKNX_FLASH_TOOL_LOGFILE} --lockfile ${STKNX_FLASH_TOOL_LOCKFILE}

fi

trapFunction()
{
  trap - SIGHUP SIGINT SIGTERM
  kill $PID
  exit 0
}

# Start the KNX Stack.
/opt/gira/bin/knxstack $@ &
PID="$!"

trap trapFunction SIGHUP SIGINT SIGTERM

wait $PID

exit 0
